Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.rav.chat/v1/projects \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "My integration" } '
import requestsurl = "https://api.rav.chat/v1/projects"payload = { "name": "My integration" }headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: 'My integration'})};fetch('https://api.rav.chat/v1/projects', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "object": "project", "name": "<string>", "created_at": 123 }
{ "error": { "message": "Missing API key scope", "type": "permission_error", "param": null, "code": "missing_scope" }}
Create a project. Requires projects:write (owner-wide keys only).
projects:write
A RavChat API key: Authorization: Bearer sk-rav-...
Authorization: Bearer sk-rav-...
"My integration"
The created project.
"project"